1. MerchantCatalog
OrderMesh STG
  • Introduction to our API
    • Getting Started
    • Product Catalog
    • Webhooks Overview
    • Merchant Notifications Guide
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
      • Search for orders based on various criteria and filters.
      • Create multiple orders
      • Retrieve multiple orders
      • Update multiple orders
      • Retrieve a list of orders
      • Retrieve an order by Order ID.
      • Update order data.
      • Retrieve an order by Safe ID
      • Retrieve order item by Order Item ID
      • Update an item within an order.
      • Cancel Order or order items
      • Change the order status to Customer Care Hold
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order item.
      • Add a Refund Request.
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
        POST
      • Update a merchant catalog
        PUT
      • Partially update a merchant catalog
        PATCH
      • Get a list of merchant catalogs
        GET
      • Delete a merchant catalog
        DELETE
      • Get a merchant catalog and search variants in it
        GET
      • Get a merchant catalog with variants
        GET
      • Get a list of variants the merchant can use in accordance with their enabled catalog
        GET
      • Search for variants in enabled merchant catalog with fallback to global catalog
        POST
      • Get audit logs of a merchant catalog
        GET
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
      • Update details of a specific shipment by Shipment ID.
      • Create packages for a specific shipment.
      • Delete shipment with packages.
      • Get all shipments for an order by Order ID.
      • Create shipment for order, vendor, and order items.
      • Get shipment with packages for order and vendor.
      • Get shipment details by Order Item ID.
      • Update a specific shipment package.
      • Delete a specific shipment package.
      • Cancel shipment.
      • Unassign items to shipment.
      • Shipment resubmission to assigned facility.
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
      • Search shipments.
      • Reroute shipment.
      • Rejects a shipment.
      • Bulk reroute shipments.
      • Get shipment audit logs.
      • Get package audit logs.
      • Get message audit logs for shipment updates.
      • Assign Shipment.
  1. MerchantCatalog

Update a merchant catalog

PUT
/v1/merchantCatalog
Returns 200 OK for valid/partially valid requests (with errors for invalid variants),
or 400 Bad Request for catalog-level validation failures.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params
application/json

Examples

Responses

🟢200
application/json
OK
Body

🟠400
🟠401
🟠403
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.stg.ordermesh.io/catalog/v1/merchantCatalog' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "id": "681abd18c61bccfab89bc63e",
    "name": "Updated Product Catalog",
    "description": "A comprehensive catalog of all available products for this merchant",
    "isEnabled": true,
    "assignedToSubAccountIds": [
        "7a2b1d33-c5ef-4a8b-9c7d-5e6f7a8b9c12",
        "15115a31-c5ef-4a8b-9c7d-5e6f7a8b9c12"
    ],
    "variants": [
        {
            "sku": "SKU123",
            "merchantSku": "MSKU-123",
            "merchantPrice": {
                "currencies": [
                    {
                        "amount": 19.99,
                        "currency": "USD"
                    },
                    {
                        "amount": 17.99,
                        "currency": "EUR"
                    }
                ],
                "amount": 19.99,
                "currency": "USD"
            },
            "skipImageManipulation": null,
            "productId": null,
            "decorations": [
                {
                    "area": "Front",
                    "width": 1200,
                    "height": 800,
                    "dpi": 300,
                    "method": "DirectToFilm",
                    "price": {
                        "currencies": [
                            {
                                "amount": 5.99,
                                "currency": "USD"
                            },
                            {
                                "amount": 4.99,
                                "currency": "EUR"
                            }
                        ],
                        "amount": 5.99,
                        "currency": "USD"
                    },
                    "printImage": {
                        "sourcePrintFileUrl": "https://example.com/images/front-print.png",
                        "imageUploadStatus": null,
                        "imageUploadStatusDesc": null,
                        "ourPrintFileId": null,
                        "ourPrintFileUrl": null
                    }
                }
            ],
            "attributes": [
                {
                    "name": "Color",
                    "value": "Red"
                },
                {
                    "name": "Size",
                    "value": "Large"
                }
            ]
        },
        {
            "sku": "SKU456",
            "merchantSku": "MSKU-456",
            "merchantPrice": {
                "currencies": [
                    {
                        "amount": 24.99,
                        "currency": "USD"
                    },
                    {
                        "amount": 22.99,
                        "currency": "EUR"
                    }
                ],
                "amount": 24.99,
                "currency": "USD"
            },
            "skipImageManipulation": null,
            "productId": null,
            "decorations": [
                {
                    "area": "Back",
                    "width": 1000,
                    "height": 1000,
                    "dpi": 300,
                    "method": "DirectToGarment",
                    "price": {
                        "currencies": [
                            {
                                "amount": 7.99,
                                "currency": "USD"
                            },
                            {
                                "amount": 6.99,
                                "currency": "EUR"
                            }
                        ],
                        "amount": 7.99,
                        "currency": "USD"
                    },
                    "printImage": {
                        "sourcePrintFileUrl": "https://example.com/images/back-print.png",
                        "imageUploadStatus": null,
                        "imageUploadStatusDesc": null,
                        "ourPrintFileId": null,
                        "ourPrintFileUrl": null
                    }
                }
            ],
            "attributes": null
        }
    ]
}'
Response Response Example
200 - Success
{
    "catalog": {
        "id": "catalog123",
        "ownerMerchantId": "merchant123",
        "name": "Complete Catalog Update",
        "description": "This catalog has been completely updated with new variants.",
        "isEnabled": false,
        "assignedToSubAccountIds": [
            "subAccount1",
            "subAccount2"
        ]
    },
    "totalCatalogVariants": 5,
    "errors": [
        {
            "errorMessage": "Catalog updated with error",
            "propertyName": "Variants",
            "attemptedValue": [
                "invalid-sku-1",
                "invalid-sku-2"
            ]
        }
    ]
}
Modified at 2026-09-10 16:14:37
Previous
Create a merchant catalog
Next
Partially update a merchant catalog
Built with